# PSF-LoginServer - master - net.psforever.objects.loadouts.EquipmentLoadout
PSF - LoginServer - master - net.psforever.objects.loadouts.EquipmentLoadout
Keywords: PSF LoginServer master net.psforever.objects.loadouts.EquipmentLoadout

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package loadouts
  Definition Classes
    objects
- EquipmentLoadout
- InfantryLoadout
- Loadout
- SquadLoadout
- SquadPositionLoadout
- VehicleLoadout

c

net.psforever.objects.loadouts

# EquipmentLoadout

###

#### abstract class EquipmentLoadout extends Loadout

The base of all specific kinds of blueprint containers. This previous state can be restored on any appropriate template from which the loadout was copied by reconstructing any items (if warranted and permitted) or restoring any appropriate fields. The three fields are the name assigned to the loadout, the visible items that are created (which obey different rules depending on the source), and the concealed items that are created and added to the source's `Inventory`.
For example, the `visible_slots` on a `Player`-borne loadout will transform into the form `Array[EquipmentSlot]`; `Vehicle`-originating loadouts transform into the form `Map[Int, Equipment]`.
The lists of user-specific loadouts are initialized with `FavoritesMessage` packets. Specific entries are loaded or removed using `FavoritesRequest` packets.

Source
  EquipmentLoadout.scala

Linear Supertypes
Loadout, AnyRef, Any
Known Subclasses
InfantryLoadout, VehicleLoadout

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EquipmentLoadout
2. Loadout
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new EquipmentLoadout(label: String, visible_slots: List[SimplifiedEntry], inventory: List[SimplifiedEntry])

   label

     the name by which this inventory will be known when displayed in a Favorites list

   visible_slots

     simplified representation of the `Equipment` that can see "seen" on the target

   inventory

     simplified representation of the `Equipment` in the target's inventory or trunk

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Loadout

### Inherited from AnyRef

### Inherited from Any

### Ungrouped